#!/bin/bash

RC=0

echo TINFO "Test #2: initiating restore" | tee -a results_${TEST}
restoredir="/media/BACKUP/restore"
testdir="/tmp/tst"

if [[ -d $restoredir ]] 
then
    echo "LOG: Restore directory $restoredir already exist"
else 
    echo "LOG: Create restore directory$restoredir"
    mkdir -p $restoredir
fi

#(echo sethost localhost; echo lcd $restoredir; echo addx .; echo extract; echo y; echo y)
(echo sethost localhost; echo setdisk ${testdir}; echo lcd $restoredir; echo cd ${testdir}; echo addx .; echo extract; echo y; echo y) | amrecover -h localhost -C DailySet1 >/dev/null 2>&1 

diff -r $testdir $restoredir >/dev/null 2>&1

if [ $? -eq 0 ]
then
	echo TPASS "Test #2: restore successful" | tee -a results_${TEST}
    echo $restoredir
    ls -l $restoredir --color
else
	echo TFAIL "Test #2: restore failed, directories are different" | tee -a results_${TEST}
	RC=1
fi

echo TINFO "Cleanup..." | tee -a results_${TEST}
#rm -rf $testdir
rm -rf /tmp/amanda/*
rm -rf /etc/amanda/*
rm -f /etc/xinetd.d/amandaserver
#rm -rf /media/BACKUP/*

exit $RC
